package dul

import "context"

type Service interface {
	Create(ctx context.Context, row *DUL) error
	Update(ctx context.Context, row *DUL) error
	Delete(ctx context.Context, id []byte, actorID []byte) error
	GetByID(ctx context.Context, id []byte) (*DUL, error)
	List(ctx context.Context, filter, sort string, limit, offset int, baseIDs [][]byte) ([]DUL, int64, error)
}
